diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/smixx/smixx_parstring_util.h smixx/smixx/smixx_parstring_util.h
--- smixx_web/smixx/smixx_parstring_util.h	1970-01-01 01:00:00.000000000 +0100
+++ smixx/smixx/smixx_parstring_util.h	2006-12-28 14:41:37.000000000 +0100
@@ -0,0 +1,110 @@
+/*======================== Parametr String handling functions ============
+
+                                                   Author: Boda Franek
+                                                   Date : July 2006
+ Copyright Information:
+      Copyright (C) 1996-2006 CCLRC. All Rights Reserved.
+==========================================================================*/
+
+#ifndef SMIXX_PARSTRING_UTIL
+#define SMIXX_PARSTRING_UTIL
+/*=============================================================================*/
+int smixx_escape_slash(char* outstr, char* instr, int max);
+/*  Description:
+   The function is meant to process string parameters encountered in SML code.
+   They should follow the normal C/C++ rules for escaping non-printable and
+   other special characters. In addition to these, there are other special
+   characters with a special meaning in SMI system and so these have to be
+   protected by escaping. They are:
+   '/', '|',  '=',  '(', ')' and ' '. They are escaped by \ followed by
+   their octal code.
+   Extra special case is doublequote. This is already escaped in the input
+   string by \", but this is not enough and \" has to be converted to \042.
+   
+
+  At the same time it also checks that string does not contain
+  any non-printable characters. If it does, it returns -1.
+   
+    Input:
+      instr ... pointer to the input string.
+	      
+      max ... max no of characters allowed to be output into outstr. When exceeded,
+              message is printed and zero returned.
+              
+         when max=0, then there is no output string
+              however the number of characters in the potential output string is
+              calculated and returned
+      
+    Output:
+      outstr ... pointer to the resulting string
+      return value ... when everything is ok, number of output characters. Otherwise
+                       -1.
+*/
+int smixx_unescape(char* outstr, char* instr, int max);
+/*
+  The function processes the input string and unescapes all the escape sequences
+ Input:
+      instr ... a string that is assumed to contain only escaped special characters.
+               (both C and SMI). Also the unprintable characters must be
+	       escaped, If a solitary special or unprintable character is found,
+	        -1 is returned
+	      If instr string contains enclosing ", these will be removed.
+	      
+      max ... max no of characters allowed to be output into outstr. When exceeded,
+              message is printed and -1 returned. Do not forget to reserve space for
+	      terminating zero.
+              
+          PS  when max=0, then all checks on instr are performed, but no output string.
+              However, the number of characters in the potential output string is
+              calculated and returned
+      
+   Output:
+      outstr ... resulting unescaped string
+      return value ... when everything ok, number of output characters. Otherwise
+                       zero.  See also PS for max above.
+*/
+/*=============================================================================*/
+int smixx_escape(char* outstr, char* instr, int max);
+/* Input:
+      instr ... a string that is assumed to contain only the original characters.
+	      When the value of the character is greater then 127, -1 is returned and 
+	      a message printed.
+	      
+      max ... max no of characters allowed to be output into outstr. When exceeded,
+              message is printed and -1 returned. Do not forget to reserve space for
+	      terminating zero.
+              
+          PS  when max=0, then all checks on instr are performed, but no output string.
+              However, the number of characters in the potential output string is
+              calculated and returned
+      
+   Output:
+      outstr ... resulting smixx (in addition to C escaping, / is escaped by \s) escaped
+                 string
+      return value ... when everything ok, number of output characters. Otherwise
+                       zero.  See also PS for max above.
+*/
+/*=============================================================================*/
+int smixx_escape_toprint(char* outstr, char* instr, int max);
+/* Input:
+      instr ... a string that is assumed to contain only the original characters.
+	      When the value of the character is greater then 127, -1 is returned and 
+	      a message printed.
+	      
+      max ... max no of characters allowed to be output into outstr. When exceeded,
+              message is printed and -1 returned. Do not forget to reserve space for
+	      terminating zero.
+              
+          PS  when max=0, then all checks on instr are performed, but no output string.
+              However, the number of characters in the potential output string is
+              calculated and returned
+      
+   Output:
+      outstr ... resulting string that is OK to print. Some of them have to be escaped, but it
+                 is a subset
+		 
+      return value ... when everything ok, number of output characters. Otherwise
+                       zero.  See also PS for max above.
+*/
+
+#endif
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/smixx/version.h.in smixx/smixx/version.h.in
--- smixx_web/smixx/version.h.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/smixx/version.h.in	2006-05-11 22:09:55.000000000 +0200
@@ -0,0 +1,5 @@
+/* -*- mode: C -*- */
+#ifndef __SMIXXDEFS
+#define __SMIXXDEFS
+#define SMIXX_VERSION @SMIXX_VERSION@
+#endif
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/EXAMPLES/run_control/evt_builder.c smixx/src/EXAMPLES/run_control/evt_builder.c
--- smixx_web/src/EXAMPLES/run_control/evt_builder.c	2005-06-28 18:27:44.000000000 +0200
+++ smixx/src/EXAMPLES/run_control/evt_builder.c	2006-05-12 00:09:00.000000000 +0200
@@ -9,10 +9,13 @@
 {
 	int num;
 
-	char proxy_name[128];
+	char proxy_name[64];
 	void handle_command();
 	smi_volatile();
+	if (argc > 1) 
 	sprintf(proxy_name,"%s::EVT_BUILDER",argv[1]);
+	else 
+	  sprintf(proxy_name, "MINI_RUN::EVT_BUILDER");
 	smi_attach(proxy_name, handle_command);
 	num = 1;
 	smi_set_par("NUMBER_T", &num, SMI_INTEGER);
@@ -35,6 +38,7 @@
 set_in_error(tag)
 int tag;
 {
+  	printf("Setting error due to timeout\n");
 	smi_set_state("ERROR");
 	Timer_on = 0;
 }
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/EXAMPLES/run_control/logger.c smixx/src/EXAMPLES/run_control/logger.c
--- smixx_web/src/EXAMPLES/run_control/logger.c	2004-05-27 16:33:02.000000000 +0200
+++ smixx/src/EXAMPLES/run_control/logger.c	2006-05-11 22:53:38.000000000 +0200
@@ -9,7 +9,10 @@
 	char proxy_name[64];
 	void handle_command();
 	smi_volatile();
+	if (argc > 1)
 	sprintf(proxy_name,"%s::LOGGER",argv[1]);
+	else 
+	  sprintf(proxy_name,"MINI_RUN::LOGGER");
 	smi_attach(proxy_name, handle_command);
 	smi_set_state("NOT_LOGGING");
 /*
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/EXAMPLES/run_control/run_con.smi smixx/src/EXAMPLES/run_control/run_con.smi
--- smixx_web/src/EXAMPLES/run_control/run_con.smi	2002-05-07 17:58:48.000000000 +0200
+++ smixx/src/EXAMPLES/run_control/run_con.smi	2006-05-14 18:51:07.000000000 +0200
@@ -1,3 +1,31 @@
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "EXAMPLES/run_control/run_con.smi"
+# 1 "<built-in>"
+# 1 "<command line>"
+# 1 "EXAMPLES/run_control/run_con.smi"
 object: AUTO_PILOT
 	state: off
 		action: ACTIVATE			
@@ -93,4 +121,3 @@
 		action: STOP
 	state: ERROR
 		action: RECOVER
-
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/EXAMPLES/run_control/runit.in smixx/src/EXAMPLES/run_control/runit.in
--- smixx_web/src/EXAMPLES/run_control/runit.in	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/EXAMPLES/run_control/runit.in	2006-05-14 18:48:57.000000000 +0200
@@ -0,0 +1,17 @@
+#!/bin/sh 
+
+srcdir=@srcdir@
+top_builddir=@top_builddir@
+datadir=${srcdir}/EXAMPLES/run_control
+execdir=${srcdir}
+
+${execdir}/evt_builder & 
+${execdir}/logger & 
+${execdir}/smiSM $@ MINI_RUN ${datadir}/run_con &
+${execdir}/smiGUI ${datadir}/config_MINI_RUN.dat
+
+#
+# EOF
+#
+
+
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/Makefile.am smixx/src/Makefile.am
--- smixx_web/src/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/src/Makefile.am	2006-05-16 16:01:48.000000000 +0200
@@ -0,0 +1,37 @@
+#
+#
+#
+# SUBDIRS			= . EXAMPLES
+
+noinst_PROGRAMS		= 
+noinst_SCRIPTS		=  
+noinst_LTLIBRARIES	=
+noinst_HEADERS		=
+bin_PROGRAMS		= 
+bin_SCRIPTS		=
+lib_LTLIBRARIES		= 
+pkginclude_HEADERS	= 
+EXTRA_DIST		= 
+AM_CPPFLAGS		=  $(DIM_CPPFLAGS) -I$(top_srcdir)/smixx \
+			   -I$(srcdir)/commonSource
+AM_CFLAGS		=  $(DIM_CFLAGS)
+AM_CXXFLAGS		=  $(DIM_CFLAGS)
+LIBS			=  $(DIM_LIBS)
+LDFLAGS			=  $(DIM_LDFLAGS)
+CLEANFILES		=  
+
+include rtl/Makefile
+include commonSource/Makefile
+include generator/Makefile
+include preprocessor/Makefile
+include stateManager/Makefile
+include translator/Makefile
+include gui/Makefile
+include tclTkGUI/Makefile
+include utilities/Makefile
+include EXAMPLES/Makefile
+include EXAMPLES/run_control/Makefile
+
+#
+# EOF
+#
\ No newline at end of file
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/History smixx/src/commonSource/History
--- smixx_web/src/commonSource/History	2005-08-09 17:57:46.000000000 +0200
+++ smixx/src/commonSource/History	2007-03-19 09:55:42.000000000 +0100
@@ -247,3 +247,18 @@
 === 20-May-2005:15:58 ==========  v27  =================
 === 25-May-2005:12:04 ==========  v27r1  =================
 === 14-July-2005:17:07 ==========  v28  =================
+=== 28-September-2005:15:35 ==========  v28r1  =================
+=== 06-October-2005:15:38 ==========  v29  =================
+=== 20-January-2006:14:46 ==========  v29r1  =================
+
+ 31-March-2006 (Boda Franek)
+ 
+  Class NmdPtnr   method Name name()  changed to  const Name& name();
+  Files : nmdptnr.hxx & nmdptnr.cxx
+  for the test what it does see ~franek/refReturnValue.cxx
+=== 31-March-2006:17:27 ==========  v30  =================
+=== 19-May-2006:20:34 ==========  v31  =================
+=== 21-May-2006:21:01 ==========  v31r1  =================
+  7-Sep-2006  (Boda Franek)
+    Class Name  : new constructor, that just reserves space.  name.cxx&hxx
+    
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/name.cxx smixx/src/commonSource/name.cxx
--- smixx_web/src/commonSource/name.cxx	2004-11-11 14:40:56.000000000 +0100
+++ smixx/src/commonSource/name.cxx	2007-03-19 09:55:42.000000000 +0100
@@ -20,6 +20,13 @@
     _ptn=0;
    }
 
+   Name::Name(const int numchar) {
+      _size = numchar + 1;
+      _ptn = new char[_size];
+      assert(_ptn != 0);
+      *_ptn = '\0';
+   } 
+
   Name::Name(const char* str){
      _size = strlen(str)+1;
      _ptn = new char[_size];
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/name.hxx smixx/src/commonSource/name.hxx
--- smixx_web/src/commonSource/name.hxx	2004-11-11 14:40:56.000000000 +0100
+++ smixx/src/commonSource/name.hxx	2007-03-19 09:55:42.000000000 +0100
@@ -14,6 +14,8 @@
    public :
       Name();
 
+      Name(const int numchar);
+
       Name(const char* );
 
       Name(const Name& );
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/namelist.hxx smixx/src/commonSource/namelist.hxx
--- smixx_web/src/commonSource/namelist.hxx	2001-07-23 18:11:00.000000000 +0200
+++ smixx/src/commonSource/namelist.hxx	2007-03-19 10:14:52.000000000 +0100
@@ -22,7 +22,7 @@
 
 		NameList(const NameList&);
 
-		NameList& NameList::operator=(const NameList& );
+		NameList& operator=(const NameList& );
 
 		~NameList(); 
 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/nmdptnr.cxx smixx/src/commonSource/nmdptnr.cxx
--- smixx_web/src/commonSource/nmdptnr.cxx	2003-08-16 16:40:02.000000000 +0200
+++ smixx/src/commonSource/nmdptnr.cxx	2006-03-31 15:43:49.000000000 +0200
@@ -31,7 +31,7 @@
      return *this;
   }
 
-  Name NmdPtnr::name() {
+  const Name& NmdPtnr::name() {
      return _name;
   }
 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/nmdptnr.hxx smixx/src/commonSource/nmdptnr.hxx
--- smixx_web/src/commonSource/nmdptnr.hxx	2004-11-11 14:40:56.000000000 +0100
+++ smixx/src/commonSource/nmdptnr.hxx	2006-03-31 15:43:49.000000000 +0200
@@ -21,7 +21,7 @@
 
       ~NmdPtnr();
 
-      Name name();
+      const Name& name();
 
       void* pointer();
 
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/src/commonSource/nmdptnrlist.hxx smixx/src/commonSource/nmdptnrlist.hxx
--- smixx_web/src/commonSource/nmdptnrlist.hxx	2003-08-16 16:47:54.000000000 +0200
+++ smixx/src/commonSource/nmdptnrlist.hxx	2007-03-19 10:17:21.000000000 +0100
@@ -23,7 +23,7 @@
 
 		NmdPtnrList(const NmdPtnrList&);
 
-		NmdPtnrList& NmdPtnrList::operator=(const NmdPtnrList& );
+		NmdPtnrList& operator=(const NmdPtnrList& );
 
 		~NmdPtnrList(); 
 
